APT-SORTPKGS(1)

NAME
apt-sortpkgs - Utility to sort package index files

SYNOPSIS

apt-sortpkgs [ -hvs ] [ -o=config string ] [ -c=file ] file...

DESCRIPTION

apt-sortpkgs will take an index file (Source index or Package index) and sort the records so that they are ordered by the package name. It will also sort the internal fields of each record according to the internal sorting rules.

All output is sent to stdout, the input must be a seekable file.

OPTIONS

All command line options may be set using the configuration file, the descriptions indicate the configuration option to set. For boolean options you can override the config file by using something like -f-,--no-f, -f=no or several other variations.

-s

--source
    Use Source index field ordering. Configuration Item: APT::SortPkgs::Source.

-h

--help
    Show a short usage summary.

-v

--version
    Show the program verison.

-c

--config-file
    Configuration File; Specify a configuration file to use. The program will read the default configuration file and then this configuration file. See apt.conf(5) for syntax information.

-o

--option
    Set a Configuration Option; This will set an arbitary configuration option. The syntax is -o Foo::Bar=bar.

SEE ALSO

apt.conf(5)

DIAGNOSTICS

apt-sortpkgs returns zero on normal operation, decimal 100 on error.

BUGS

See the APT bug page <URL:http://bugs.debian.org/apt>. If you wish to report a bug in APT, please see /usr/share/doc/debian/bug-reporting.txt or the bug(1) command.

AUTHOR

APT was written by the APT team <apt@packages.debian.org>.